Google Web Toolkit (Beta)
Search this site:

# Interface SourcesChangeEvents

public interface SourcesChangeEvents
// Implemented by `TextBoxBase`, `SuggestBox`, `ListBox`
A widget that implements this interface sources the events defined by the ChangeListener interface.

## Methods

addChangeListener(ChangeListener) | Adds a listener interface to receive change events.
removeChangeListener(ChangeListener) | Removes a previously added listener interface.

## Method Detail

### addChangeListener

public void addChangeListener(ChangeListener listener)
Adds a listener interface to receive change events.

#### Parameters

listener
  the listener interface to add

### removeChangeListener

public void removeChangeListener(ChangeListener listener)
Removes a previously added listener interface.

#### Parameters

listener
  the listener interface to remove